- Main Page
- Classes
- Files

- File List
- File Members

# flFile.c File Reference

`#include "flGlobal.h"`
`#include <pspkernel.h>`
`#include <string.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
File * | fileOpen (char *inPath, u8 inMode)
void | fileClose (File *inFile)
bool | fileCheckState (File *inFile)
void | fileSeek (File *inFile, long inSeek, int inMode)
int | fileRead (void *inDest, int inSize, File *inFile)
int | fileWrite (void *inSrc, int inSize, File *inFile)
int | filePuts (char *inString, File *inFile)
char * | fileGets (char *inString, int inCount, File *inFile)
bool | fileEOF (File *inFile)
bool | fileError (File *inFile)
char | fileTypeGet (char *inPath)
bool | fileExists (char *inPath)
char * | fileNameFromPath (char *inPath)
char * | fileExtension (char *inPath)
char * | filePathValidate (char *inPath)
bool | fileMkdir (char *inDir)
bool | fileDelete (char *inPath)
bool | fileCopy (char *inSrc, char *inDest)

## Function Documentation

bool fileCheckState | ( | File * | inFile | ) |

Definition at line 123 of file flFile.c.

References debugWarning, FILE_STATE_EOF, FILE_STATE_ERROR, FILE_STATE_NORMAL, FILE_TYPE_FILE, FILE_TYPE_MEMORY, File::fileData, File::filePointer, File::fileSize, File::fileState, and File::fileType.

Referenced by fileEOF(), fileError(), fileRead(), and fileWrite().

void fileClose | ( | File * | inFile | ) |

Definition at line 109 of file flFile.c.

References debugWarning, FILE_TYPE_FILE, File::fileData, File::filePath, File::fileType, and memFree.

Referenced by debugLog(), debugLogFrom(), debugScreenshot(), mdl3dAnimLoadMD2(), mdl3dStatLoadOBJ(), texLoadBMP(), texLoadPCX(), and texLoadTGA().

bool fileCopy | ( | char * | inSrc,
|  | char * | inDest |
| ) |  |  |

Definition at line 415 of file flFile.c.

References debugWarning, FILE_COPY_BLOCKSIZE, and memQalloc.

bool fileDelete | ( | char * | inPath | ) |

Definition at line 383 of file flFile.c.

References ASCII_0, ASCII_9, debugWarning, fileTypeGet(), and memFree.

Referenced by debugInit(), and memTerm().

bool fileEOF | ( | File * | inFile | ) |

Definition at line 240 of file flFile.c.

References FILE_STATE_EOF, fileCheckState(), and File::fileState.

bool fileError | ( | File * | inFile | ) |

Definition at line 245 of file flFile.c.

References FILE_STATE_ERROR, fileCheckState(), and File::fileState.

bool fileExists | ( | char * | inPath | ) |

Definition at line 284 of file flFile.c.

References debugWarning.

Referenced by fileOpen(), fileTypeGet(), and mdl3dStatLoadOBJ().

char* fileExtension | ( | char * | inPath | ) |

Definition at line 328 of file flFile.c.

References debugWarning, memAlloc, and NULL.

Referenced by mdl3dAnimLoad(), mdl3dStatLoad(), mdl3dStatSave(), texLoad(), and texSave().

char* fileGets | ( | char * | inString,
|  | int | inCount,
|  | File * | inFile |
| ) |  |  |

Definition at line 224 of file flFile.c.

References fileRead(), and NULL.

Referenced by mdl3dStatLoadOBJ().

bool fileMkdir | ( | char * | inDir | ) |

Definition at line 372 of file flFile.c.

References debugWarning.

char* fileNameFromPath | ( | char * | inPath | ) |

Definition at line 303 of file flFile.c.

References debugWarning, memAlloc, memCopy, and NULL.

File* fileOpen | ( | char * | inPath,
|  | u8 | inMode |
| ) |  |  |

Definition at line 16 of file flFile.c.

References ASCII_0, ASCII_9, debugWarning, FILE_STATE_NORMAL, FILE_TYPE_FILE, FILE_TYPE_MEMORY, File::fileData, fileExists(), File::fileMode, File::filePath, File::filePointer, File::fileSize, File::fileState, File::fileType, memAlloc, memClear, memFree, and NULL.

Referenced by debugLog(), debugLogFrom(), debugScreenshot(), mdl3dAnimLoadMD2(), mdl3dStatLoadOBJ(), mdl3dStatSaveOBJ(), texLoadBMP(), texLoadPCX(), texLoadTGA(), and texSaveTGA().

char* filePathValidate | ( | char * | inPath | ) |

Definition at line 361 of file flFile.c.

References NULL.

Referenced by texLoad(), and texSave().

int filePuts | ( | char * | inString,
|  | File * | inFile |
| ) |  |  |

Definition at line 214 of file flFile.c.

References debugWarning, and fileWrite().

Referenced by debugLog(), debugLogFrom(), and mdl3dStatSaveOBJ().

int fileRead | ( | void * | inDest,
|  | int | inSize,
|  | File * | inFile |
| ) |  |  |

Definition at line 174 of file flFile.c.

References debugError, FILE_TYPE_FILE, FILE_TYPE_MEMORY, fileCheckState(), File::fileData, File::filePointer, File::fileSize, File::fileType, and memCopy.

Referenced by fileGets(), mdl3dAnimLoadMD2(), texLoadBMP(), texLoadPCX(), and texLoadTGA().

void fileSeek | ( | File * | inFile,
|  | long | inSeek,
|  | int | inMode |
| ) |  |  |

Definition at line 154 of file flFile.c.

References debugWarning, FILE_SEEK_CUR, FILE_SEEK_END, FILE_SEEK_SET, FILE_TYPE_FILE, FILE_TYPE_MEMORY, File::fileData, File::filePointer, File::fileSize, and File::fileType.

Referenced by mdl3dAnimLoadMD2(), mdl3dStatLoadOBJ(), and texLoadTGA().

char fileTypeGet | ( | char * | inPath | ) |

Definition at line 250 of file flFile.c.

References debugWarning, and fileExists().

Referenced by fileDelete().

int fileWrite | ( | void * | inSrc,
|  | int | inSize,
|  | File * | inFile |
| ) |  |  |

Definition at line 193 of file flFile.c.

References debugError, FILE_TYPE_FILE, FILE_TYPE_MEMORY, fileCheckState(), File::fileData, File::filePointer, File::fileSize, File::fileType, and memCopy.

Referenced by filePuts(), and texSaveTGA().